#ifndef __IKONKE_MODULE_DEBUG_H______________________________
#define __IKONKE_MODULE_DEBUG_H______________________________


#define IKONKE_DEBUG_LOG_ENABLE		(0)	// ENABLE

#define PROMPT_DSR 	""

#if (IKONKE_DEBUG_LOG_ENABLE)
#define iKonkeAfSelfPrint(...) 	 do { \
	extern int Tl_printf(const char *format, ...);\
	Tl_printf(PROMPT_DSR); \
	Tl_printf(__VA_ARGS__); \
}while(0)
//#define iKonkeAfSelfDebugExec(x) if ( emberAfPrintEnabled(0xffff) ) { x; }
#define iKonkeAfSelfPrintBuffer(buffer, len) DEBUG_ARRAY(1, (buffer), (len))
//#define iKonkeAfSelfPrintString(buffer) emberAfPrintString(0xffff, (buffer))
#else
#define iKonkeAfSelfPrint(...)
//#define iKonkeAfSelfDebugExec(x)
#define iKonkeAfSelfPrintBuffer(buffer, len)
//#define iKonkeAfSelfPrintString(buffer)
#endif


#endif
